package oracle.forms.fd;

import oracle.forms.jdapi.*;

public class WindowObject 
{
    
    /**---------------------*
     *  set String values   *
     *----------------------*/
    boolean setProperty(Window win, String sProperty, String sValue ) {
       try{
         if(sProperty.equalsIgnoreCase("setBackColor")) win.setBackColor(sValue); 
         else if(sProperty.equalsIgnoreCase("setComment")) win.setComment(sValue); 
         else if(sProperty.equalsIgnoreCase("setFillPattern")) win.setFillPattern(sValue); 
         else if(sProperty.equalsIgnoreCase("setFontName")) win.setFontName(sValue); 
         else if(sProperty.equalsIgnoreCase("setForegroundColor")) win.setForegroundColor(sValue); 
         else if(sProperty.equalsIgnoreCase("setHelpBookTopic")) win.setHelpBookTopic(sValue); 
         else if(sProperty.equalsIgnoreCase("setHorizontalToolbar")) win.setHorizontalToolbarCanvasName(sValue); 
         else if(sProperty.equalsIgnoreCase("setIconFilename")) win.setIconFilename(sValue); 
         else if(sProperty.equalsIgnoreCase("setMinimizeTitle")) win.setMinimizeTitle(sValue); 
         else if(sProperty.equalsIgnoreCase("setName")) win.setName(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentFilename")) win.setParentFilename(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentFilepath")) win.setParentFilepath(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentModule")) win.setParentModule(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentName")) win.setParentName(sValue); 
         else if(sProperty.equalsIgnoreCase("setPrimaryCanvas")) win.setPrimaryCanvas(sValue); 
         else if(sProperty.equalsIgnoreCase("setTitle")) win.setTitle(sValue); 
         else if(sProperty.equalsIgnoreCase("setVerticalToolbarCanvasName")) win.setVerticalToolbarCanvasName(sValue); 
         else if(sProperty.equalsIgnoreCase("setVisualAttributeName")) win.setVisualAttributeName(sValue); 
       // boolean properties
         else if(sProperty.equalsIgnoreCase("setClearAllowed")) win.setClearAllowed(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setHideOnExit")) win.setHideOnExit(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setInheritMenu")) win.setInheritMenu(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setMaximizeAllowed")) win.setMaximizeAllowed(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setMinimizeAllowed")) win.setMinimizeAllowed(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setModal")) win.setModal(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setMoveAllowed")) win.setMoveAllowed(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setResizeAllowed")) win.setResizeAllowed(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setShowHorizontalScrollbar")) win.setShowHorizontalScrollbar(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setShowVerticalScrollbar")) win.setShowVerticalScrollbar(JDAPI_LAF.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setSubclassObjectGroup")) win.setSubclassObjectGroup(JDAPI_LAF.getBooleanValue(sValue)); 
       // integer properties
         else if(sProperty.equalsIgnoreCase("setBevel")) win.setBevel(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontSize")) win.setFontSize(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontSpacing")) win.setFontSpacing(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontStyle")) win.setFontStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontWeight")) win.setFontWeight(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setHeight")) win.setHeight(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setLanguageDirection")) win.setLanguageDirection(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setParentModuleType")) win.setParentModuleType(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setParentType")) win.setParentType(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setWidth")) win.setWidth(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setWindowStyle")) win.setWindowStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setXPosition")) win.setXPosition(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setYPosition")) win.setYPosition(Integer.parseInt(sValue)); 
       }
        catch (Exception e) 
        {            
            System.setErr(System.out);
            printError("Window.setProperty() Unable to apply property: "+sProperty+"="+sValue+". Error details: " + e.toString());
            return false ;
        }
        return true ;
    }    


    /**------------------------------------------------*
     *  Simply prints an error message to the console  *
     *-------------------------------------------------*/
    private void printError(String errorString)
    {
      System.out.println(JDAPI_LAF.sModule_name + " ** ERROR ** " + errorString);
    }


}
